/**
 * XSVF command bytes / protos
 * Rudimentary XSVF parser / JTAG loader for MSP430
 *
 * $Id: xsvf.h 359 2006-08-29 20:25:41Z strubi $
 */

// These defines are given by Xilinx, see 'micro.c' from their
// application note xapp058

#define XCOMPLETE        0
#define XTDOMASK         1
#define XSIR             2
#define XSDR             3
#define XRUNTEST         4
/* Reserved              5 */
/* Reserved              6 */
#define XREPEAT          7
#define XSDRSIZE         8
#define XSDRTDO          9
#define XSETSDRMASKS     10
#define XSDRINC          11
#define XSDRB            12
#define XSDRC            13
#define XSDRE            14
#define XSDRTDOB         15
#define XSDRTDOC         16
#define XSDRTDOE         17
#define XSTATE           18         /* 4.00 */
#define XENDIR           19         /* 4.04 */
#define XENDDR           20         /* 4.04 */
#define XSIR2            21         /* 4.10 */
#define XCOMMENT         22         /* 4.14 */
#define XWAIT            23         /* 5.00 */
/* Insert new commands here */
/* and add corresponding xsvfDoCmd function to xsvf_pfDoCmd below. */
#define XLASTCMD         24         /* Last command marker */


// DR/IR shift command phase mode: (see shift_dr() )

#define F_CONTINUE           0x00
#define F_BEGIN              0x01
#define F_END                0x02
#define F_PAUSE_DR           0x04
#define F_PAUSE_IR           0x08
#define F_FROM_PAUSE_IR      0x10
#define F_COMPARE            0x40  // Compare TDO


// JTAG state definitions for XWAIT

#define TEST_LOGIC_RESET    0x0
#define RUN_TEST_IDLE       0x1
#define SELECT_DR_SCAN      0x2
#define CAPTURE_DR          0x3
#define SHIFT_DR            0x4
#define EXIT_1_DR           0x5
#define PAUSE_DR            0x6
#define EXIT_2_DR           0x7
#define UPDATE_DR           0x8
#define SELECT_IR_SCAN      0x9
#define CAPTURE_IR          0xa
#define SHIFT_IR            0xb
#define EXIT_1_IR           0xc
#define PAUSE_IR            0xd
#define EXIT_2_IR           0xe
#define UPDATE_IR           0xf
